MD5SUM(1)

NAZWA
md5sum - oblicza i sprawdza skrót MD5

SKŁADNIA
md5sum [OPCJA]... [PLIK]...

OPIS

Wypisuje lub sprawdza sumę kontrolną MD5 (128-bit)

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

-b, --binary
    czyta w trybie binarnym

-c, --check
    czyta sumy kontrolne z jednego lub kilku PLIKÓW i sprawdza je

--tag
    tworzy sumę kontrolną w stylu BSD

-t, --text
    czyta w trybie tekstowym (domyślnie)

  Następujących pięć opcji jest przydatnych tylko przy sprawdzaniu sum kontrolnych:

--ignore-missing
    nie zwraca błędu, ani nie informuje przy brakujących plikach

--quiet
    nie wyświetla OK po każdym pozytywnie zweryfikowanym pliku

--status
    nie wyświetla niczego, wynik można poznać za pomocą kodu wyjścia

--strict
    wychodzi z niezerowym kodem zakończenia przy niepoprawnie sformatowanych wierszach sum kontrolnych

-w, --warn
    ostrzega o niepoprawnie sformatowanych wierszach sum kontrolnych

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Sumy są obliczane zgodnie z opisem w RFC 1321. Podczas sprawdzania, wejście powinno być wygenerowane wcześniej przez ten program. Domyślnym trybem jest wyświetlanie wiersza z sumą kontrolną, spacji, znaku określającego typ wejściowy (* - binarny, spacja - tekstowy lub z niewielką ilością binarnego) i nazwy każdego PLIKU.

BŁĘDY
Algorytm MD5 nie powinien być nadal używany w zastosowaniach związanych z bezpieczeństwem. Powinno się wówczas stosować algorytm SHA-2, zaimplementowany w programach sha224sum(1), sha256sum(1), sha384sum(1), sha512sum(1)

AUTOR
Napisane przez Ulricha Dreppera, Scotta Millera i Davida Madore.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu md5sum proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/md5sum>
lub lokalnie, za pomocą info '(coreutils) md5sum invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Gwidon S. Naskrent (PTM) <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.